Proxifier与WSL2不兼容的问题

参考:

https://github.com/microsoft/WSL/issues/4177

https://lpwmm.blog.csdn.net/article/details/106473251

Windows 10 2004版本中更新到WSL2之后发现和之前一直用的Proxifier存在冲突,启动WSL的时候会出现提示:参考的对象类型不支持尝试的操作

并且基于wsl2 的docker也提示启动失败:基于WSL2 的 Docker Desktop 启动时 Failed to set version to docker-desktop: exit code: -1

使用:netsh winsock reset虽然解决了docker无法启动的问题,但是proxifier却又无法使用。

正确的解决方式,管理员身份运行:

NoLsp.exe c:\windows\system32\wsl.exe

Nolsp下载路径:http://www.proxifier.com/tmp/Test20200228/NoLsp.exe

本站下载:NoLsp



打赏

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据